"use client";
'use strict';

const jsxRuntime = require('react/jsx-runtime');
const errorPlaceholder = require('./error-placeholder.cjs');
const context = require('@btst/stack/context');
const index = require('../../localization/index.cjs');

function DefaultError({ error }) {
  const { localization } = context.usePluginOverrides("blog", {
    localization: index.BLOG_LOCALIZATION
  });
  const title = localization.BLOG_GENERIC_ERROR_TITLE;
  const message = process.env.NODE_ENV === "production" ? localization.BLOG_GENERIC_ERROR_MESSAGE : error?.message ?? localization.BLOG_GENERIC_ERROR_MESSAGE;
  return /* @__PURE__ */ jsxRuntime.jsx(errorPlaceholder.ErrorPlaceholder, { title, message });
}

exports.DefaultError = DefaultError;
